- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes

# FbxAnimCurveDef Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Definitions used for the FBX animation curves and keys.

Definition at line 27 of file fbxanimcurve.h.

`#include <fbxanimcurve.h>`

List of all members.

## Public Types
enum | ETangentMode { eTangentAuto = 0x00000100, eTangentTCB = 0x00000200, eTangentUser = 0x00000400, eTangentGenericBreak = 0x00000800, eTangentBreak = eTangentGenericBreak|eTangentUser, eTangentAutoBreak = eTangentGenericBreak|eTangentAuto, eTangentGenericClamp = 0x00001000, eTangentGenericTimeIndependent = 0x00002000, eTangentGenericClampProgressive = 0x00004000|eTangentGenericTimeIndependent }
| Key tangent mode for cubic interpolation. More...
enum | EInterpolationType { eInterpolationConstant = 0x00000002, eInterpolationLinear = 0x00000004, eInterpolationCubic = 0x00000008 }
| Key interpolation type. More...
enum | EWeightedMode { eWeightedNone = 0x00000000, eWeightedRight = 0x01000000, eWeightedNextLeft = 0x02000000, eWeightedAll = eWeightedRight|eWeightedNextLeft }
| Weighted mode. More...
enum | EConstantMode { eConstantStandard = 0x00000000, eConstantNext = 0x00000100 }
| Key constant mode. More...
enum | EVelocityMode { eVelocityNone = 0x00000000, eVelocityRight = 0x10000000, eVelocityNextLeft = 0x20000000, eVelocityAll = eVelocityRight|eVelocityNextLeft }
| Velocity mode. Velocity settings speed up or slow down animation on either side of a key without changing the trajectory of the animation. Unlike Auto and Weight settings, Velocity changes the animation in time, but not in space. More...
enum | ETangentVisibility { eTangentShowNone = 0x00000000, eTangentShowLeft = 0x00100000, eTangentShowRight = 0x00200000, eTangentShowBoth = eTangentShowLeft|eTangentShowRight }
| Tangent visibility. More...
enum | EDataIndex { eRightSlope = 0, eNextLeftSlope = 1, eWeights = 2, eRightWeight = 2, eNextLeftWeight = 3, eVelocity = 4, eRightVelocity = 4, eNextLeftVelocity = 5, eTCBTension = 0, eTCBContinuity = 1, eTCBBias = 2 }
| FbxAnimCurveKey data indices for cubic interpolation tangent information. More...
## Static Public Attributes
static const float | sDEFAULT_WEIGHT
static const float | sMIN_WEIGHT
static const float | sMAX_WEIGHT
static const float | sDEFAULT_VELOCITY

## Member Enumeration Documentation

enum ETangentMode

Search for all occurrences

Key tangent mode for cubic interpolation.

Enumerator:

  eTangentAuto | Search for all occurrences
  eTangentTCB | Auto key (spline cardinal). Search for all occurrences
  eTangentUser | Spline TCB (Tension, Continuity, Bias) Search for all occurrences
  eTangentGenericBreak | Next slope at the left equal to slope at the right. Search for all occurrences
  eTangentBreak | Independent left and right slopes. Search for all occurrences
  eTangentAutoBreak | Independent left and right slopes, with next slope at the left equal to slope at the right. Search for all occurrences
  eTangentGenericClamp | Independent left and right slopes, with auto key. Search for all occurrences
  eTangentGenericTimeIndependent | Clamp: key should be flat if next or previous key has the same value (overrides tangent mode). Search for all occurrences
  eTangentGenericClampProgressive | Time independent tangent (overrides tangent mode). Search for all occurrences

Definition at line 36 of file fbxanimcurve.h.

        {
            eTangentAuto = 0x00000100,
            eTangentTCB = 0x00000200,
            eTangentUser = 0x00000400,
            eTangentGenericBreak = 0x00000800,
            eTangentBreak = eTangentGenericBreak|eTangentUser,
            eTangentAutoBreak = eTangentGenericBreak|eTangentAuto,
            eTangentGenericClamp = 0x00001000,
            eTangentGenericTimeIndependent = 0x00002000,
            eTangentGenericClampProgressive = 0x00004000|eTangentGenericTimeIndependent
        };

enum EInterpolationType

Search for all occurrences

Key interpolation type.

Enumerator:

  eInterpolationConstant | Search for all occurrences
  eInterpolationLinear | Constant value until next key. Search for all occurrences
  eInterpolationCubic | Linear progression to next key. Search for all occurrences

Definition at line 50 of file fbxanimcurve.h.

        {
            eInterpolationConstant = 0x00000002,
            eInterpolationLinear = 0x00000004,
            eInterpolationCubic = 0x00000008
        };

enum EWeightedMode

Search for all occurrences

Weighted mode.

Enumerator:

  eWeightedNone | Search for all occurrences
  eWeightedRight | Tangent has default weights of 0.333; we define this state as not weighted. Search for all occurrences
  eWeightedNextLeft | Right tangent is weighted. Search for all occurrences
  eWeightedAll | Left tangent is weighted. Search for all occurrences

Definition at line 58 of file fbxanimcurve.h.

        {
            eWeightedNone = 0x00000000,
            eWeightedRight = 0x01000000,
            eWeightedNextLeft = 0x02000000,
            eWeightedAll = eWeightedRight|eWeightedNextLeft
        };

enum EConstantMode

Search for all occurrences

Key constant mode.

Enumerator:

  eConstantStandard | Search for all occurrences
  eConstantNext | Curve value is constant between this key and the next. Search for all occurrences

Definition at line 67 of file fbxanimcurve.h.

        {
            eConstantStandard = 0x00000000,
            eConstantNext = 0x00000100
        };

enum EVelocityMode

Search for all occurrences

Velocity mode. Velocity settings speed up or slow down animation on either side of a key without changing the trajectory of the animation. Unlike Auto and Weight settings, Velocity changes the animation in time, but not in space.

Enumerator:

  eVelocityNone | Search for all occurrences
  eVelocityRight | No velocity (default). Search for all occurrences
  eVelocityNextLeft | Right tangent has velocity. Search for all occurrences
  eVelocityAll | Left tangent has velocity. Search for all occurrences

Definition at line 74 of file fbxanimcurve.h.

        {
            eVelocityNone = 0x00000000,
            eVelocityRight = 0x10000000,
            eVelocityNextLeft = 0x20000000,
            eVelocityAll = eVelocityRight|eVelocityNextLeft
        };

enum ETangentVisibility

Search for all occurrences

Tangent visibility.

Enumerator:

  eTangentShowNone | Search for all occurrences
  eTangentShowLeft | No tangent is visible. Search for all occurrences
  eTangentShowRight | Left tangent is visible. Search for all occurrences
  eTangentShowBoth | Right tangent is visible. Search for all occurrences

Definition at line 83 of file fbxanimcurve.h.

        {
            eTangentShowNone = 0x00000000,
            eTangentShowLeft = 0x00100000,
            eTangentShowRight = 0x00200000,
            eTangentShowBoth = eTangentShowLeft|eTangentShowRight
        };

enum EDataIndex

Search for all occurrences

FbxAnimCurveKey data indices for cubic interpolation tangent information.

Enumerator:

  eRightSlope | Search for all occurrences
  eNextLeftSlope | Index of the right derivative, User and Break tangent mode (data are float). Search for all occurrences
  eWeights | Index of the left derivative for the next key, User and Break tangent mode. Search for all occurrences
  eRightWeight | Start index of weight values, User and Break tangent break mode (data are FbxInt16 tokens from weight and converted to float). Search for all occurrences
  eNextLeftWeight | Index of weight on right tangent, User and Break tangent break mode. Search for all occurrences
  eVelocity | Index of weight on next key's left tangent, User and Break tangent break mode. Search for all occurrences
  eRightVelocity | Start index of velocity values, Velocity mode. Search for all occurrences
  eNextLeftVelocity | Index of velocity on right tangent, Velocity mode. Search for all occurrences
  eTCBTension | Index of velocity on next key's left tangent, Velocity mode. Search for all occurrences
  eTCBContinuity | Index of Tension, TCB tangent mode (data are floats). Search for all occurrences
  eTCBBias | Index of Continuity, TCB tangent mode. Search for all occurrences

Definition at line 92 of file fbxanimcurve.h.

        {
            eRightSlope = 0,
            eNextLeftSlope = 1,
            eWeights = 2,
            eRightWeight = 2,
            eNextLeftWeight = 3,
            eVelocity = 4,
            eRightVelocity = 4,
            eNextLeftVelocity = 5,
            eTCBTension = 0,
            eTCBContinuity = 1,
            eTCBBias = 2
        };

## Member Data Documentation

const float sDEFAULT_WEIGHT `[static]`

Search for all occurrences

Definition at line 30 of file fbxanimcurve.h.

const float sMIN_WEIGHT `[static]`

Search for all occurrences

Definition at line 31 of file fbxanimcurve.h.

const float sMAX_WEIGHT `[static]`

Search for all occurrences

Definition at line 32 of file fbxanimcurve.h.

const float sDEFAULT_VELOCITY `[static]`

Search for all occurrences

Definition at line 33 of file fbxanimcurve.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimcurve.h

FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef
FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef FbxAnimCurveDef